function[xmin,xmax]=DSS_srs(FMAX,last,ns,freq,damp,dt,sum)
%
%******************************** initialize arrays ******************/
%
clear xmax;
clear xmin;
xmax=zeros(last,1);
xmin=zeros(last,1);
yy=sum;
%
%*********************** initialize filter coefficients ***************/
   for(j=1:last)
      omega=2*pi*freq(j); 
      omegad=omega*sqrt(1.-(damp^2));
      cosd=cos(omegad*dt);
      sind=sin(omegad*dt);
      domegadt=damp*omega*dt;
      a1(j)=2.*exp(-domegadt)*cosd;
      a2(j)=-exp(-2.*domegadt);
      b1(j)=2.*domegadt;
      b2(j)=omega*dt*exp(-domegadt);
      b2(j)=b2(j)*( (omega/omegad)*(1.-2.*(damp^2))*sind -2.*damp*cosd );
      b3(j)=0;
   end
%
   for(j=1:last)
       
        clear resp;
        clear forward;
        clear back;
       
        forward=[ b1(j),  b2(j),  b3(j) ];    
        back   =[     1, -a1(j), -a2(j) ];    
%    
        resp=filter(forward,back,yy);
%
        xmax(j)= abs(max(resp));
        xmin(j)= abs(min(resp));
   end     
%  
   for(j=1:last)
		if(abs(xmin(j)) <1.0e-90)
			out1=sprintf('  warning: abs(xmin[%ld])=%8.4g ',j,xmin(j));
            disp(out1);
            break;
        end
		if(abs(xmax(j)) <1.0e-90)
			out1=sprintf('  warning: abs(xmax[%ld])=%8.4g ',j,xmax(j));
            disp(out1);
            break;
        end
   end